/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.11.21
 * 描述               :        			分条计划Sum
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Mes.Lengthwise.Plan.vo;

public class PlnLengthwisePlanSum {
	
	// 交货期：deliver_date
	private String deliver_date;
	
	public String getDeliver_date() {
		return deliver_date;
	}

	public void setDeliver_date(String deliver_date) {
		this.deliver_date = deliver_date;
	}
	
	//分切方式
	private String cut_style;
	
	public String getCut_style() {
		return cut_style;
	}

	public void setCut_style(String cut_style) {
		this.cut_style = cut_style;
	}
	// 成品长度1/2/3 --2018-06-20
	private Double crs_cut_len1;
	private Double crs_cut_len2;
	private Double crs_cut_len3;
	private Double crs_cut_len4;
	private Double crs_cut_len5;
	//下发时间
	private String send_time;
	//下发人
	private String send_man_name;
	//下发标志
	private String send_flag;
	//下发标志描述
	private String send_flag_desc;
	//工艺路径
	private String whole_process_names;
	private String plan_work_date;//计划分条时间
	private String plan_sign_date;//计划交工时间
	
	private String user_no;
	
	public String getUser_no() {
		return user_no;
	}

	public void setUser_no(String user_no) {
		this.user_no = user_no;
	}
	
	
	public String getWhole_process_names() {
		return whole_process_names;
	}

	public void setWhole_process_names(String whole_process_names) {
		this.whole_process_names = whole_process_names;
	}

	public Double getCrs_cut_len4() {
		return crs_cut_len4;
	}

	public void setCrs_cut_len4(Double crs_cut_len4) {
		this.crs_cut_len4 = crs_cut_len4;
	}
	
	public Double getCrs_cut_len5() {
		return crs_cut_len5;
	}

	public void setCrs_cut_len5(Double crs_cut_len5) {
		this.crs_cut_len5 = crs_cut_len5;
	}

	public String getSend_time() {
		return send_time;
	}

	public void setSend_time(String send_time) {
		this.send_time = send_time;
	}

	public String getSend_man_name() {
		return send_man_name;
	}

	public void setSend_man_name(String send_man_name) {
		this.send_man_name = send_man_name;
	}

	public String getSend_flag() {
		return send_flag;
	}

	public void setSend_flag(String send_flag) {
		this.send_flag = send_flag;
	}

	public String getSend_flag_desc() {
		return send_flag_desc;
	}

	public void setSend_flag_desc(String send_flag_desc) {
		this.send_flag_desc = send_flag_desc;
	}

	public Double getCrs_cut_len1() {
		return crs_cut_len1;
	}
	public void setCrs_cut_len1(Double crs_cut_len1) {
		this.crs_cut_len1 = crs_cut_len1;
	}
	public Double getCrs_cut_len2() {
		return crs_cut_len2;
	}
	public void setCrs_cut_len2(Double crs_cut_len2) {
		this.crs_cut_len2 = crs_cut_len2;
	}
	public Double getCrs_cut_len3() {
		return crs_cut_len3;
	}
	public void setCrs_cut_len3(Double crs_cut_len3) {
		this.crs_cut_len3 = crs_cut_len3;
	}


	//作业计划号  
	private String lw_plan_no;
	
	//机台  
	private String machine_code;
	
	//机台名称 
	private String machine_name;

	//序号         
	private int lw_seq;
	
	//状态           
	private String status;
	
	//状态 desc          
	private String status_desc;
	
	//已交工           
	private String hand_over_status;
	
	//交工desc           
	private String hand_over_status_desc;
	
	//牌号编码  
	private String steel_code;
	
	//牌号名称
	private String steel_name;
	
	//厚度       
	private Double mtr_thk;
	
	//宽度      
	private Double mtr_wdt;
	
	//长度    
	private Double mtr_len;
	
	//内径      
	private Double mtr_inn_dia;
	
	//外径        
	private Double mtr_out_dia;
	
	//理重      
	private Double mtr_thr_wgt;
	
	//实重         
	private Double mtr_act_wgt;
	
	//投料卷号           
	private String material_no;
	
	//虚拟卷号        
	private String object_no_vt;
	
	//计划子卷数           
	private int sub_count;
	
	//完成子卷数             
	private int act_count;
	
	//计划生产时间                
	private String plan_opt_time;	
	
	//计划编制时间            
	private String create_time;	
	
	//计划编制人            
	private String create_man_name;	
	
	//计划顺序号
	private int plan_seq;

	//原料卷号
	private String materailcoilno;
	
	//客户名称
	private String reciver_unit_name;
	
	//销售订单备注
	private String order_memo;
	
	//垛位编码
	private String buttressno;
	
	//垛位名称
	private String buttressname;
	
	
	
	public String getButtressno() {
		return buttressno;
	}

	public void setButtressno(String buttressno) {
		this.buttressno = buttressno;
	}

	public String getButtressname() {
		return buttressname;
	}

	public void setButtressname(String buttressname) {
		this.buttressname = buttressname;
	}

	public String getReciver_unit_name() {
		return reciver_unit_name;
	}

	public void setReciver_unit_name(String reciver_unit_name) {
		this.reciver_unit_name = reciver_unit_name;
	}

	public String getOrder_memo() {
		return order_memo;
	}

	public void setOrder_memo(String order_memo) {
		this.order_memo = order_memo;
	}

	public String getMaterailcoilno() {
		return materailcoilno;
	}

	public void setMaterailcoilno(String materailcoilno) {
		this.materailcoilno = materailcoilno;
	}

	public String getLw_plan_no() {
		return lw_plan_no;
	}

	public void setLw_plan_no(String lw_plan_no) {
		this.lw_plan_no = lw_plan_no;
	}

	public String getMachine_code() {
		return machine_code;
	}

	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	public int getLw_seq() {
		return lw_seq;
	}

	public void setLw_seq(int lw_seq) {
		this.lw_seq = lw_seq;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getHand_over_status() {
		return hand_over_status;
	}

	public void setHand_over_status(String hand_over_status) {
		this.hand_over_status = hand_over_status;
	}

	public String getSteel_code() {
		return steel_code;
	}

	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	public Double getMtr_thk() {
		return mtr_thk;
	}

	public void setMtr_thk(Double mtr_thk) {
		this.mtr_thk = mtr_thk;
	}

	public Double getMtr_wdt() {
		return mtr_wdt;
	}

	public void setMtr_wdt(Double mtr_wdt) {
		this.mtr_wdt = mtr_wdt;
	}

	public Double getMtr_len() {
		return mtr_len;
	}

	public void setMtr_len(Double mtr_len) {
		this.mtr_len = mtr_len;
	}

	public Double getMtr_inn_dia() {
		return mtr_inn_dia;
	}

	public void setMtr_inn_dia(Double mtr_inn_dia) {
		this.mtr_inn_dia = mtr_inn_dia;
	}

	public Double getMtr_out_dia() {
		return mtr_out_dia;
	}

	public void setMtr_out_dia(Double mtr_out_dia) {
		this.mtr_out_dia = mtr_out_dia;
	}

	public Double getMtr_thr_wgt() {
		return mtr_thr_wgt;
	}

	public void setMtr_thr_wgt(Double mtr_thr_wgt) {
		this.mtr_thr_wgt = mtr_thr_wgt;
	}

	public Double getMtr_act_wgt() {
		return mtr_act_wgt;
	}

	public void setMtr_act_wgt(Double mtr_act_wgt) {
		this.mtr_act_wgt = mtr_act_wgt;
	}

	public String getMaterial_no() {
		return material_no;
	}

	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	public String getObject_no_vt() {
		return object_no_vt;
	}

	public void setObject_no_vt(String object_no_vt) {
		this.object_no_vt = object_no_vt;
	}

	public int getSub_count() {
		return sub_count;
	}

	public void setSub_count(int sub_count) {
		this.sub_count = sub_count;
	}

	public int getAct_count() {
		return act_count;
	}

	public void setAct_count(int act_count) {
		this.act_count = act_count;
	}

	public String getPlan_opt_time() {
		return plan_opt_time;
	}

	public void setPlan_opt_time(String plan_opt_time) {
		this.plan_opt_time = plan_opt_time;
	}

	public String getCreate_time() {
		return create_time;
	}

	public void setCreate_time(String create_time) {
		this.create_time = create_time;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	public int getPlan_seq() {
		return plan_seq;
	}

	public void setPlan_seq(int plan_seq) {
		this.plan_seq = plan_seq;
	}

	public String getStatus_desc() {
		return status_desc;
	}

	public void setStatus_desc(String status_desc) {
		this.status_desc = status_desc;
	}

	public String getHand_over_status_desc() {
		return hand_over_status_desc;
	}

	public void setHand_over_status_desc(String hand_over_status_desc) {
		this.hand_over_status_desc = hand_over_status_desc;
	}

	public String getSteel_name() {
		return steel_name;
	}

	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	public String getMachine_name() {
		return machine_name;
	}

	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}
	
	private String weight_type_name;
	public String getWeight_type_name() {
		return weight_type_name;
	}
	public void setWeight_type_name(String weight_type_name) {
		this.weight_type_name = weight_type_name;
	}
	
	//订单厚度
	private String order_thick;
	public String getOrder_thick() {
		return order_thick;
	}
	public void setOrder_thick(String order_thick) {
		this.order_thick = order_thick;
	}
	
	//订单宽度
	private String order_width;
	public String getOrder_width() {
		return order_width;
	}
	public void setOrder_width(String order_width) {
		this.order_width = order_width;
	}
	
	//20201225 黄T：各机组作业管理界面新增显示字段
	private String is_oil;//是否涂油
	private String is_side_cute;//是否切边
	private String single_weight_request;//单卷重量要求
	private String india_require;//内径要求
	private String pk_ask_desc;//包装要求

	public String getIs_oil() {
		return is_oil;
	}
	public void setIs_oil(String is_oil) {
		this.is_oil = is_oil;
	}
	public String getIs_side_cute() {
		return is_side_cute;
	}
	public void setIs_side_cute(String is_side_cute) {
		this.is_side_cute = is_side_cute;
	}
	public String getSingle_weight_request() {
		return single_weight_request;
	}
	public void setSingle_weight_request(String single_weight_request) {
		this.single_weight_request = single_weight_request;
	}
	public String getIndia_require() {
		return india_require;
	}
	public void setIndia_require(String india_require) {
		this.india_require = india_require;
	}
	public String getPk_ask_desc() {
		return pk_ask_desc;
	}
	public void setPk_ask_desc(String pk_ask_desc) {
		this.pk_ask_desc = pk_ask_desc;
	}
	
	//缺陷描述
	private String flaw_desc;
	public String getFlaw_desc() {
		return flaw_desc;
	}
	public void setFlaw_desc(String flaw_desc) {
		this.flaw_desc = flaw_desc;
	}

	public String getPlan_work_date() {
		return plan_work_date;
	}
	public void setPlan_work_date(String plan_work_date) {
		this.plan_work_date = plan_work_date;
	}

	public String getPlan_sign_date() {
		return plan_sign_date;
	}
	public void setPlan_sign_date(String plan_sign_date) {
		this.plan_sign_date = plan_sign_date;
	}
	
	// 是否送样：1是 0或null否
	private String songyang;
	public String getSongyang() {
		return songyang;
	}
	public void setSongyang(String songyang) {
		this.songyang = songyang;
	}
	
}
